import argparse
import os

from typing import NamedTuple


def add_common_args(parser: argparse.ArgumentParser):
    parser.add_argument(
        '-C', '--config-filename',
        default=os.getenv("MANY_REPOS_CONFIG_FILE") or "repos.toml",
        help='use a non-default config file (default `%(default)s`).',
    )


class Repository(NamedTuple):
    name: str
    namespace: str
    url: str
    fork: bool
    vcs: str
